Page MenuHomePhabricator

[OpenCL] Fix pipe builtin bugs
ClosedPublic

Authored by pxli168 on Mar 8 2016, 3:51 AM.

Details

Summary
  1. Diag should be output if types are not the same.
  2. Should compare using canonical type.
  3. Refine the diag to be more clear.

Diff Detail

Repository
rL LLVM

Event Timeline

pxli168 updated this revision to Diff 50031.Mar 8 2016, 3:51 AM
pxli168 retitled this revision from to [OpenCL] Fix piep builtin bug.
pxli168 updated this object.
pxli168 added reviewers: Anastasia, yaxunl.

Obvious typo in title. Pipe, not piep.

pxli168 retitled this revision from [OpenCL] Fix piep builtin bug to [OpenCL] Fix pipe builtin bugs.Mar 8 2016, 5:59 AM
Anastasia edited edge metadata.Mar 8 2016, 7:17 AM

Tests missing!

pxli168 edited edge metadata.

Refine other check using the changed diag.
Change test as well.

yaxunl accepted this revision.Mar 22 2016, 6:06 AM
yaxunl edited edge metadata.

LGTM. Thanks.

This revision is now accepted and ready to land.Mar 22 2016, 6:06 AM
Anastasia added inline comments.Mar 22 2016, 11:23 AM
test/SemaOpenCL/invalid-pipe-builtin-cl2.0.cl
1 ↗(On Diff #51140)

Could you add a test case that fails before your modification here to show that your change improves on it!

pxli168 edited edge metadata.

Add test for correct case.

Anastasia accepted this revision.Mar 29 2016, 8:02 AM
Anastasia edited edge metadata.

LGTM!

This revision was automatically updated to reflect the committed changes.